{
 "name": "huikaifa",
 "version": "0.0.1",
 "displayName": "绘开发",
 "description": "开发提效平台",
 "private": false,
 "author": "wjc",
 "engines": {
  "vscode": "^1.0.0"
 },
 "categories": [
  "Other"
 ],
 "activationEvents": [
  "onCommand:extension.openHuiKaiFa"
 ],
 "icon": "images/logo.png",
 "main": "./extension.js",
 "publisher": "wjc",
 "repository": {
  "type": "git",
  "url": "http://git.wisdomcity.com.cn/WisdomCity-Web/huikaifa"
},
 "contributes": {
  "configuration": {
   "type": "object",
   "title": "绘开发提效平台",
   "properties": {
    "openHuiKaiFa.src": {
     "type": "string",
     "default": "http://192.168.0.243:3211/dashboard",
     "description": "设计器远程链接"
    }
   }
  },
  "commands": [
   {
    "command": "extension.openHuiKaiFa",
    "title": "打开绘开发"
   }
  ],
  "menus": {
   "explorer/context": [
    {
     "command": "extension.openHuiKaiFa",
     "group": "navigation"
    }
   ]
  }
 },
 "scripts": {
  "build": "vue-cli-service build",
  "build:report": "vue-cli-service build --report",
  "build:render": "vue-cli-service build --target lib --name form-gen-render --dest ./src/components/render/lib/ ./src/components/render/render.js",
  "build:parser": "vue-cli-service build --target lib --name form-gen-parser --dest ./src/components/parser/lib/ ./src/components/parser/index.js",
  "build:tinymce": "vue-cli-service build --target lib --name form-gen-tinymce --dest ./src/components/tinymce/lib/ ./src/components/tinymce/index.js",
  "report": "vue-cli-service build --report",
  "lint": "vue-cli-service lint",
  "dev": "vue-cli-service serve"
 },
 "dependencies": {
  "@babel/parser": "^7.7.4",
  "axios": "^0.19.2",
  "clipboard": "^2.0.4",
  "core-js": "^3.6.5",
  "element-ui": "^2.15.1",
  "file-saver": "^2.0.5",
  "open": "^7.0.0",
  "throttle-debounce": "^2.1.0",
  "vsce": "^2.5.3",
  "vue": "^2.6.11",
  "vue-router": "^3.5.1",
  "vuedraggable": "^2.23.2",
  "vuex": "^3.6.2",
  "wisdom-ui": "1.0.2-beta.14"
 },
 "devDependencies": {
  "@vue/cli-plugin-babel": "~4.4.0",
  "@vue/cli-plugin-eslint": "~4.4.0",
  "@vue/cli-service": "~4.4.0",
  "babel-eslint": "^10.1.0",
  "eslint": "^6.8.0",
  "eslint-config-airbnb-base": "^14.0.0",
  "eslint-plugin-import": "^2.20.0",
  "eslint-plugin-vue": "^6.2.2",
  "glob": "^7.1.5",
  "less": "^4.1.1",
  "less-loader": "6.0.0",
  "lint-staged": "^11.1.2",
  "mocha": "^6.2.2",
  "sass": "^1.23.7",
  "sass-loader": "^8.0.0",
  "style-resources-loader": "^1.4.1",
  "svg-sprite-loader": "^4.1.6",
  "vscode-test": "^1.2.2",
  "vue-cli-plugin-style-resources-loader": "^0.1.5",
  "vue-template-compiler": "^2.6.11"
 },
 "gitHooks": {
  "pre-commit": "lint-staged"
 },
 "lint-staged": {
  "*.{js,vue}": [
   "vue-cli-service lint",
   "git add"
  ]
 }
}
